Package net.shibboleth.idp.authn.config.navigate

# Class PostAuthenticationFlowsLookupFunction

java.lang.Object
net.shibboleth.profile.context.navigate.AbstractRelyingPartyLookupFunction<Collection<String>>
net.shibboleth.idp.authn.config.navigate.PostAuthenticationFlowsLookupFunction

All Implemented Interfaces:
  `Function<ProfileRequestContext,Collection<String>>`, `ContextDataLookupFunction<ProfileRequestContext,Collection<String>>`

public class PostAuthenticationFlowsLookupFunction extends AbstractRelyingPartyLookupFunction<Collection<String>>
A function that returns `AuthenticationProfileConfiguration.getPostAuthenticationFlows(org.opensaml.profile.context.ProfileRequestContext)`() if such a profile is available from a `RelyingPartyContext` obtained via a lookup function, by default a child of the `ProfileRequestContext`.

If a specific setting is unavailable, no values are returned.

## Constructor Summary

Constructors
Constructor
Description
`PostAuthenticationFlowsLookupFunction()`

## Method Summary

Modifier and Type
Method
Description
`Collection<String>`
`apply(ProfileRequestContext input)`

### Methods inherited from class net.shibboleth.profile.context.navigate.AbstractRelyingPartyLookupFunction

`getRelyingPartyContext, getRelyingPartyContextLookupStrategy, setRelyingPartyContextLookupStrategy`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### PostAuthenticationFlowsLookupFunction

public PostAuthenticationFlowsLookupFunction()

## Method Details

### apply

@Nullable @NotLive @Unmodifiable public Collection<String> apply(@Nullable ProfileRequestContext input)